<script>
 import 'bootstrap/dist/css/bootstrap.min.css';
 import 'bootstrap-icons/font/bootstrap-icons.css';
 import '../app.css';

 import {
     Container,
 } from '@sveltestrap/sveltestrap';

 import Header from '$lib/components/Header.svelte';
 import Toaster from '$lib/components/Toaster.svelte';
 import { gitlab, version } from '$lib/stores/auth';
 import { ToastsStore } from '$lib/stores/toasts';
 import { view } from '$lib/stores/todo';

 version.refresh();
 setInterval(version.refresh, 30000);

 gitlab.refresh();
 setInterval(gitlab.refresh, 300000);

 view.refresh().catch((err) => {
     ToastsStore.addErrorToast({
         msg: err,
     })
 });
 setInterval(view.refresh, 60000);
</script>

<svelte:head>
    <title>FIC QA</title>
</svelte:head>

<Header />
<slot></slot>
<Toaster />

<style>
 :global(body) {
     overflow-y: scroll;
 }
 :global(a.badge) {
     text-decoration: none;
 }
 :global(.text-justify) {
     text-align: justify;
 }
 :global(.niceborder) {
     border-bottom-style: solid;
     border-bottom-width: 5px !important;
     border-bottom-color: #4eaee6;
 }
</style>
